function [mult,val] = nrbkntmult(knot)
// Find the multiplicity of the knot vector.
//
// USAGE:
//
//        [mult,val] = nrbkntmult(knot)    
//
// INPUT:
//
//   knot - knot vector
//
// OUTPUT:
//
//   mult - multiplicity
//   val  - value of the knot
// 

[val,n] = unique(knot);
mult = mtlb_diff([n length(knot)+1]);
endfunction
