function ang = vecangle(num,den)
// Determine the angle between the vector components
// num,dem. This function is just an alternative for 
// atan2, returning an angle in the range
//
//          0 <= angle < 2*pi 
//
//       angle = vecangle(num,dem)
//
// INPUT:
//
//   num   - numerator.
//   den   - denominator.
//
// OUTPUT:
//
//   angle - angle in radians.

ang = atan(num,den);
index = find(ang < 0.0);
ang(index) = 2*%pi+ang(index);
endfunction
