function cross = veccross(vec1,vec2)
// Determine the cross product for vec1 and vec2
//
//        cross  = veccross(vec1,vec2)
//
// INPUT:
//
//   vec1 - vector array
//   vec2 - vector array
//
// OUTPUT:
//
//   cross - vector cross product
//

[dim,num] = size(vec1);
cross = zeros(dim,num);
if dim == 3
  cross(1,:) = vec1(2,:).*vec2(3,:) - vec2(2,:).*vec1(3,:);
  cross(2,:) = vec1(3,:).*vec2(1,:) - vec2(3,:).*vec1(1,:);
end
cross(3,:) = vec1(1,:).*vec2(2,:) - vec2(1,:).*vec1(2,:);
endfunction
