function rx = vecrotx(angle)
// Transformation matrix for a rotation around the x-axis
//
//         rx = vecrotx(angle)
//
// Inputs:
//
//   angle - rotation angle in radians
//
// Output:
//
//   rx   - 3D transformation matrix
//

sn = sin(angle);
cn = cos(angle);
rx = [1 0 0 0; 0 cn -sn 0; 0 sn cn 0; 0 0 0 1];
endfunction
