function ry = vecroty(angle)
// Transformation matrix for rotation around the y-axis
//
//      ry = vecroty(angle)
//
// Inputs:
//
//   angle - rotation angle in radians
//
// Output:
//
//   ry   - 3D transformation matrix
//

sn = sin(angle);
cn = cos(angle);
ry = [cn 0 sn 0; 0 1 0 0; -sn 0 cn 0; 0 0 0 1];
endfunction
