function rz = vecrotz(angle)
// Transformation matriz for rotation around the z-azis
//
//      rz = vecrotz(angle)
//
// Inputs:
//
//   angle - rotation angle in radians
//
// Output:
//
//   rz   - 3D transformation matriz
//

sn = sin(angle);
cn = cos(angle);
rz = [cn -sn 0 0; sn cn 0 0; 0 0 1 0; 0 0 0 1];
endfunction
