function ss = vecscale(vec)
// Transformation matrix for scaling
//
//      ss = vecscale(svec)
//
// Inputs:
//
//   svec - scaling vector
//
// Output:
//
//   ss - scaling transformation matrix
//

[nlhs,nrhs] = argn(0);

if nrhs < 1
  error('Scaling vector not specified');
end   

s = [vec(:);0;0];
ss = [s(1) 0 0 0; 0 s(2) 0 0; 0 0 s(3) 0; 0 0 0 1];
endfunction
