function dd = vectrans(vec)
// Transformation matrix for translation
//
//      dd = vectrans(vec)
//
// Inputs:
//
//   vec - translation vector.
//
// Output:
//
//   dd - transformation matrix 
//

[nlhs,nrhs] = argn(0);

if nrhs < 1
  error('Translation vector required');
end   

v = [vec(:);0;0];
dd = [1 0 0 v(1); 0 1 0 v(2); 0 0 1 v(3); 0 0 0 1];
endfunction
