// SCIMAT.H
// Useful functions for accessing and manipulating scilab data structures.
// =======================================================================

#ifndef __SCIMAT_H
#define __SCIMAT_H

double **vec2mat(double *vec, int nrows, int ncols) 
{
  int col;
  double **mat;

  mat = (double**) malloc (ncols*sizeof(double*));
  mat[0] = vec;
  for (col = 1; col < ncols; col++)
    mat[col] = mat[col-1] + nrows;  
  return mat;
}

double **matrix(int nrows, int ncols) 
{
  int col;
  double **mat;

  mat = (double**) malloc (ncols*sizeof(double*));
  mat[0] = (double*) malloc (nrows*ncols*sizeof(double));
  for (col = 1; col < ncols; col++)
    mat[col] = mat[col-1] + nrows;  
  return mat;
}

void freevec2mat(double **mat)
{
  free(mat);
}

void freematrix(double **mat)
{
  free(mat[0]);
  free(mat);
}

#endif // __SCIMAT_H

